Bug 499982 - Firefox unexpectedly falls in the performance of javascripts
Firefox unexpectedly falls in the performance of javascripts
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
i386 Linux
high Severity high
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
Firefox javascripts
: EasyFix, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-09 15:31 EDT by ruslan
Modified: 2010-01-11 10:45 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-11 10:36:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ruslan 2009-05-09 15:31:24 EDT
Description of problem:

	
When I choose http://thepiratebay.org/settings torrent, go to this page and click delete torrent, firefox crashes sometimes.

Also often falling in the transition to rutube.ru or youtube.com in full screen mode. I think the problem arises when processing
ment JavaScripts

$ rpm -qa|grep firefox
firefox-3.5-0.20.beta4.fc11.i586
$ rpm -qa|grep xul
xulrunner-1.9.1-0.20.beta4.fc11.i586
Comment 1 Matěj Cepl 2009-05-16 16:52:12 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

First of all, could we get output of the command

	rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*

Please also install firefox-debuginfo (debuginfo-install is from
yum-utils package).

	debuginfo-install firefox

Then run firefox with a parameter -g. That will start firefox running inside of gdb debugger. Then use command run and do whatever you did to make firefox crash. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Bug Zapper 2009-06-09 11:34:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Riku Seppala 2009-07-08 14:44:54 EDT
Not sure if this is same bug what I'm seeing, no crash but javascript just stops working after awhile. Like trying to log into gmail, almost done loading then it just stops and nothing happens. (login works if I just click basic html)

Restarting firefox fixes the problem... until it happens again.

Not sure how I can give any more info.
Comment 4 Riku Seppala 2009-07-13 16:46:50 EDT
When gmail fails to load I see this on the error console:

Error: [Exception... "update.locale file doesn't exist in either the XCurProcD or GreD directories"  nsresult: "0x80520012 (NS_ERROR_FILE_NOT_FOUND)"  location: "JS frame :: file:///usr/lib/xulrunner-1.9.1/components/nsUpdateService.js :: getLocale :: line 549"  data: no]
Source File: file:///usr/lib/xulrunner-1.9.1/components/nsUpdateService.js
Line: 549
Comment 5 Matěj Cepl 2009-07-20 18:34:52 EDT
Still waiting on the backtrace from the original reporter. Riku, please, file a separate bug with the output from the error console you shown here.

Thank you
Comment 6 Chris Campbell 2009-11-27 12:54:50 EST
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Marco Ziesing 2009-12-15 08:38:17 EST
Simple workaround from the mozilla forum:

# touch /usr/lib/*firefox*/update.locale
Comment 8 Matěj Cepl 2009-12-21 06:52:33 EST
*** Bug 529853 has been marked as a duplicate of this bug. ***
Comment 9 Martin Stransky 2009-12-21 07:19:43 EST
We may need to stop the update service...but i don't believe it causes such troubles, it's just a harmless error message.
Comment 10 Matěj Cepl 2009-12-21 08:16:55 EST
(In reply to comment #9)
> We may need to stop the update service...but i don't believe it causes such
> troubles, it's just a harmless error message.  

Well, there are people who look into Javascript Console (like all web developers) and they get confused, by something which looks like terrible error. But whatever.
Comment 11 Chris Campbell 2010-01-11 10:36:44 EST
This bug was reported on what is now an out of date firefox, and has no included backtrace. The original reporter never responded, and it has been almost 8 months. Closing this bug. If the original reporter would like to verify that this issue still occurs with an up to date version of the software, please do so. Otherwise, closing at INSUFFICIENT_DATA.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 12 Michal Hlavinka 2010-01-11 10:45:59 EST
well, and what about duplicate bug #529853 (I don't know why it is duplicate, because afaik it's not related to any crash like the one in comment #0 ) ?

Martin? Matej?

Note You need to log in before you can comment on or make changes to this bug.